[](url)# Why is benefit use OOP Structure?

Making a good OOP structure will reduce code and also with a good documentation and code will have a better comprehension about the program

As an example using OOP, I suggest a Loging with a course that the people should select. This loggin will contain:
Based on th is information, the course selected will define the inherintance

- **Personal Information** *(name, gender, age, address, hobbies, course to take)*;
- **Courses**: soccer, teniss, voleiball, swim, synchronized swimming, Diving competition.
- This six sport courses can be divided in two, 
    * 1.-sports with ball (soccer, tennis, voleiball)
    * 2.-sports with water (swim, synchronized swimming, Diving competition)

 * sports with ball: can be divided in two functions
    * ball with air (ball that needs to be inflate)
        * psi to inflate the ballon
        
    * ball hard (dont need air) (in spanish we say balon and pelota, but I tried to find the correct translate and I only found that the best translate is ball)

![Diagram][objects/diagram.jpg]

On this diagram, I will try to explain how can be easy to use OOP and inheritance
This diagram is supposed to be used on a webpage that the is going to register in two type of courses, ground's sport or water's sport
whatever that the user select will have to register, this register will have to use it booth.
after that depends of the course that the user select will be the inheritance that we'll use.
if the user select soccer, tennis or voleiball, we can use a new inheritance that is a softBall, this softball is used to select at which pression the ballon should be inflated.
if the user select swim, synchronized swimming or diving competition, we wont have inheritance and the register will be finished.
